> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Links



## OpenAPI

````yaml openapi.json get /payment-link
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payment-link:
    parameters: []
    get:
      tags:
        - Payment Link
      summary: Payment Links
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: hasPaid
          in: query
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: status
          in: query
          required: false
          description: ACTIVE | INACTIVE
          example: ACTIVE
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          schema:
            type: string
        - name: endDate
          in: query
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '772'
            ETag:
              schema:
                type: string
              example: W/"304-PmYtDl4A8vKw7JA91ZnbM48cLmQ"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 21 Nov 2023 11:31:20 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Payment Links
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            link:
                              type: string
                              format: uri
                            amount:
                              type: integer
                            hasPaid:
                              type: boolean
                            bearer:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                      page:
                        type: integer
                      size:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
              example:
                status: true
                message: Operation is successful
                data:
                  links:
                    - id: 65a8cf01-f72e-48b2-9360-e98e02f16655
                      link: >-
                        https://pay.dev.monieswitch.com/dzHaBGQjvVfBbdsMPZo9rL4g0RW0nCoq1VjN
                      amount: 10000
                      hasPaid: false
                      bearer: subaccount
                      name: Feminelle Intimate Wash
                      status: ACTIVE
                      createdAt: '2025-04-22T15:34:20.829Z'
                    - id: c6ddcf6f-21ce-485d-b8a9-8abdb22168d7
                      link: >-
                        https://pay.dev.monieswitch.com/wgP6gqXeWcxTJS8j7uZt6dxZ4PebtNmJSCuv
                      amount: 5000
                      hasPaid: false
                      bearer: subaccount
                      name: Feminelle Intimate Wash
                      status: ACTIVE
                      createdAt: '2025-04-22T15:15:07.710Z'
                  page: 1
                  size: 50
                  totalRecords: 2
                  totalPages: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````